from microbit import *
import music
#  2.04.2021

# -- COMMUNICATION - cannot be changed
pit= bytearray(1)
pit[0] = 1
spd = 4
def ispis(tekst):
    dd = len(tekst)
    if dd < 31:
        salji(tekst)
    else:
        salji(tekst[0:30] + "+")
        salji(tekst[30:dd])

def salji(tekst):
    global spd
    duz = len(tekst)
    buf = bytearray(duz)
    for n in range(0, duz):
        bb = ord(tekst[n : n + 1])
        buf[n] = bb
    try:
        i2c.write(0x11, buf)
        sleep(duz * spd)
    except OSError:
        print("er: send")
# -- COMMUNICATION --- end
def trazi():
    global pit
    try:
        pit = i2c.read(0x11,1)
    except OSError:
        print("er: seek")
# --
def rest():
    global pit
    ispis("RST")
    while True:
        trazi()
        if pit[0] == 5:
            break
        sleep(20)
# --
rest()
ispis("LIN;32;40;52;40")
ispis("LIN;32;41;52;41")
ispis("CIR;20;20;15;B;B")
ispis("CIR;62;20;15;B;B")
for n in range(0,3):
    ispis("CIR;20;20;"+str(n+11)+";W")
    ispis("CIR;62;20;"+str(n+11)+";W")
for n in range(0,4):
    ispis("SCC;L;0;5;R")
    sleep(10)
while True:
    for n in range(0,4):
        ispis("SCC;R;0;5;R")
        sleep(10)
    for n in range(0,4):
        ispis("SCC;L;0;5;R")
        sleep(10)
